AsterNet Class Library (Sandcastle documentation)
AsterNet Class Library (Sandcastle documentation)
AsterNET
Common Class
Common Fields

| Common Class

[Missing <summary> documentation for "T:AsterNET.Common"]

Inheritance Hierarchy
System
Object
AsterNET
Common

Namespace: AsterNET
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public static class Common

    Public NotInheritable Class Common

    public ref class Common abstract sealed

    [<AbstractClassAttribute>]
    [<SealedAttribute>]
    type Common =  class end

The Common type exposes the following members.

Fields

| Name | Description
--- | --- | ---
| AGI_ADDITIONAL_ATTRIBUTE_PATTERN |
| AGI_ADDITIONAL_ATTRIBUTES_PATTERN |
| AGI_BIND_ADDRESS | The default AGI bind address.
| AGI_BIND_PORT | The default AGI bind port.
| AGI_DEFAULT_MAX_DIGITS |
| AGI_DEFAULT_RESOURCE_BUNDLE_NAME |
| AGI_DEFAULT_TIMEOUT |
| AGI_END_OF_PROPER_USAGE |
| AGI_PARAMETER_PATTERN |
| AGI_PARENTHESIS_PATTERN |
| AGI_POOL_SIZE | The default AGI thread pool size.
| AGI_RESULT_PATTERN |
| AGI_SCRIPT_PATTERN |
| AGI_STATUS_PATTERN |
| AGI_SYNOPSIS_PATTERN |
| ASTERISK_VERSION |
| CultureInfoEn |
| DEFAULT_HOSTNAME | The hostname to use if none is provided.
| DEFAULT_PORT | The port to use if none is provided.
| INTERNAL_ACTION_ID_DELIMITER |
| LINE_SEPARATOR | Line separator
| MINUS_SEPARATOR |
| RESPONSE_KEY_VALUE_SEPARATOR |
| SHOW_VERSION_FILES_PATTERN |
| VAR_DELIMITER | Obsolete.

Top
See Also

#### Reference

AsterNET Namespace